//摘要提示
document.addEventListener("touchstart", handleTouchEvent, false);
function handleTouchEvent(event) {
    var content = document.getElementById('shareGuide');
    content.parentNode.removeChild(content);
}

//栏目订阅/取消订阅
$('body').on('click', '.subscribe', function() {
    var _this = $(this);

    if(_this.hasClass('subscribed')) {
        window.jm.categorySubscribeCallBack(_this.attr('id'), 'subscribed');
    } else {
        window.jm.categorySubscribeCallBack(_this.attr('id'), 'subscribe');
    }
})
//栏目订阅/取消回调（改变状态）
function setSubscribeStatus(id) {
    var subscribeList = document.querySelectorAll('.subscribe');

    for(var i = 0; i < subscribeList.length; i++) {
        (function(i, id) {
            if(subscribeList[i].getAttribute('id') == id) {
                subscribeList[i].classList.contains('subscribed') ? subscribeList[i].classList.remove('subscribed') : subscribeList[i].classList.add('subscribed')
            }
        })(i, id)
    }
}

function toNight(night){
    document.getElementById("body_content").className=night;
}
function toDay(day){
       document.getElementById("body_content").className=day;
}
function toFontSize(size){
       document.getElementById("content-inner").className= 'content-inner ' + size;
}
function getHtmlBottom(){
    var height = $('#recommand').offset().top + $('#recommand').height();
    jm.htmlHeight(height);
}

function getShareBottom(){
    var height = $('.article-share').offset().top + $('.article-share').height();
    jm.shareHeight(height);
}

function getInsideAd(){
    var height = $('#InsideAds').offset().top + $('#InsideAds').height();
    jm.insideAdHeight(height);
}

function getBottomAd(){
    var height = $('#ads').offset().top + $('#ads').height();
    jm.bottomAdHeight(height);
}

function praise(img,id){
  var obj = document.getElementById("number"+id);
  var num=obj.innerHTML;
  if(num == 0){
  obj.innerHTML="";
  }
  obj.innerHTML=parseInt(num) + 1

  document.getElementById("imgurl"+id).setAttribute('src',img);
}

function topNewsAds(param){
 document.getElementById("topads").innerHTML = param;
}
function logoAds(param){
document.getElementById("top_logo_id").innerHTML = param;
}
function newsAds(param){
 var element = document.getElementById("ads");
 element.className = "ad";
 element.innerHTML = param;
}
function newsInside(param){
  document.getElementById("InsideAds").innerHTML = param;
}
function newsRecommand(param){
 document.getElementById("recommand").innerHTML = param;
}
function newsCompany(param){
 document.getElementById("company").innerHTML = param;
}
function newsTheme(param){
 document.getElementById("subTheme").innerHTML = param;
}
function trialVip(param){
 var element = document.getElementById("trialVip");
 element.className = "trial-vip-container";
 element.innerHTML = param;
}

function sendLastContent(content) {
  $('.trial-mark, .trial-opt').remove();
  $('.article-content').removeClass('sd').append(content);
  // 初始化视频
  initVideoEvent();
  // 初始化音频
  init();
}

(function (doc, win) {
    var docEl = doc.documentElement,
            resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
            recalc = function () {
                var clientWidth = docEl.clientWidth;
                if (!clientWidth) return;
                docEl.style.fontSize = 100 * (clientWidth / 640) + 'px';
            };

    if (!doc.addEventListener) return;
    win.addEventListener(resizeEvt, recalc, false);
    doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);

function initVideoEvent() {
    $('.video-wrapper .video-item').unbind('click').on('click', function() {
        var self = $(this),
        wrapper = self.parents('.video-wrapper'),
        index = wrapper.attr('index'),
        top = wrapper.offset().top;
        jm.playVideo(index,top);

    });
}

// 视频
$(function() {
    initVideoEvent();
});

// 买断付费栏目
function buyoutSection(payClassifyName, url) {
    var str = '<div class="permanent-unlock">\
                <img src="file:///android_asset/web/img/bg_article_fenlei.png">\
                <div class="permanent-unlock-wrap">\
                    <div class="permanent-unlock-name">本文所属专栏</div>\
                    <div class="permanent-unlock-title">' + payClassifyName + '</div>\
                </div>\
                <a href="' + url + '" class="permanent-unlock-link"></a>\
            </div>';
    $('.permanent-container').append(str);
}

